# Packaging str

## Files

- `src/str`
	- Can be moved to a system sources directory if it's desirable to keep
		system sources on hand. Doesn't reference anything else in the
		repository.

- `str.1`
	- Included manual page for `str`. Can be placed in the appropriate
		manual pages directory. If it displays weirdly and your fix is
		portable, mail me and I'll probably bring it upstream.
 
- `str.c`
	- A single C file that builds to a single executable, which should be
		named `str`.

- `str`
	- Program binary. Should be placed in a user-accessible binaries
		directory.

## Dependencies

- `<sysexits.h>`
	- Ignored if `EX_USAGE` is already defined.

- C standard library

## Compilation

```
cc -o str str.c
```

Or without `<sysexits.h>`:

```
cc -DEX_USAGE=1 -o str str.c
```
